Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571451 - [abrt] lollypop: __on_info_short(): toolbar_info.py:152:__on_info_short:AttributeError: 'ExternalsPopover' object has no attribute 'populate'
Summary: [abrt] lollypop: __on_info_short(): toolbar_info.py:152:__on_info_short:Attri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:30b4318439380f29c6fb7e1f409...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 20:22 UTC by Sebastian
Modified: 2018-05-11 21:13 UTC (History)
2 users (show)

Fixed In Version: lollypop-0.9.508-1.fc26 lollypop-0.9.508-1.fc27 lollypop-0.9.508-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 17:45:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (826 bytes, text/plain)
2018-04-24 20:22 UTC, Sebastian
no flags Details
File: cgroup (365 bytes, text/plain)
2018-04-24 20:22 UTC, Sebastian
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2018-04-24 20:22 UTC, Sebastian
no flags Details
File: environ (1.90 KB, text/plain)
2018-04-24 20:22 UTC, Sebastian
no flags Details
File: mountinfo (3.60 KB, text/plain)
2018-04-24 20:22 UTC, Sebastian
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-24 20:22 UTC, Sebastian
no flags Details
File: open_fds (2.58 KB, text/plain)
2018-04-24 20:22 UTC, Sebastian
no flags Details
crash-me-howto-instructions-and-i-dare-you-to-try (46.83 KB, image/png)
2018-04-24 20:27 UTC, Sebastian
no flags Details

Description Sebastian 2018-04-24 20:22:36 UTC
Description of problem:
I just need a click to crash it. I have a screenshot.

Version-Release number of selected component:
lollypop-0.9.506-1.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        /usr/bin/python3 /usr/bin/lollypop '/home/burni/youtube-dl/D I V I N I T Y & OI\xc3\x9c - New Beginnings (ft. DNAKM)-9aZfBgnvThM.opus'
crash_function: __on_info_short
exception_type: AttributeError
executable:     /usr/bin/lollypop
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.2-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
toolbar_info.py:152:__on_info_short:AttributeError: 'ExternalsPopover' object has no attribute 'populate'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/lollypop/touch_helper.py", line 99, in __on_button_release
    self.__short_func(self.__short_args)
  File "/usr/lib/python3.6/site-packages/lollypop/toolbar_info.py", line 152, in __on_info_short
    popover.populate()
AttributeError: 'ExternalsPopover' object has no attribute 'populate'

Local variables in innermost frame:
popover: <pop_externals.ExternalsPopover object at 0x7fe81c094870 (lollypop+pop_externals+ExternalsPopover at 0x7fe80804f250)>
ExternalsPopover: <class 'lollypop.pop_externals.ExternalsPopover'>
args: ()
self: <toolbar_info.ToolbarInfo object at 0x7fe82a5f72d0 (lollypop+toolbar_info+ToolbarInfo at 0x7fe83c014900)>

Comment 1 Sebastian 2018-04-24 20:22:41 UTC
Created attachment 1426237 [details]
File: backtrace

Comment 2 Sebastian 2018-04-24 20:22:42 UTC
Created attachment 1426238 [details]
File: cgroup

Comment 3 Sebastian 2018-04-24 20:22:43 UTC
Created attachment 1426239 [details]
File: cpuinfo

Comment 4 Sebastian 2018-04-24 20:22:45 UTC
Created attachment 1426241 [details]
File: environ

Comment 5 Sebastian 2018-04-24 20:22:46 UTC
Created attachment 1426242 [details]
File: mountinfo

Comment 6 Sebastian 2018-04-24 20:22:48 UTC
Created attachment 1426243 [details]
File: namespaces

Comment 7 Sebastian 2018-04-24 20:22:49 UTC
Created attachment 1426244 [details]
File: open_fds

Comment 8 Sebastian 2018-04-24 20:27:12 UTC
Created attachment 1426245 [details]
crash-me-howto-instructions-and-i-dare-you-to-try

Comment 9 MartinKG 2018-04-25 11:28:58 UTC
Upstream ticket: https://gitlab.gnome.org/gnumdk/lollypop/issues/1406

Comment 10 Fedora Update System 2018-04-26 10:19:10 UTC
lollypop-0.9.507-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5199542d96

Comment 11 Fedora Update System 2018-04-26 10:19:29 UTC
lollypop-0.9.507-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-03b8e686d1

Comment 12 Fedora Update System 2018-04-26 10:19:43 UTC
lollypop-0.9.507-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb19e4f711

Comment 13 Fedora Update System 2018-04-26 15:33:54 UTC
lollypop-0.9.507-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb19e4f711

Comment 14 Fedora Update System 2018-04-27 07:14:10 UTC
lollypop-0.9.507-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-03b8e686d1

Comment 15 Fedora Update System 2018-04-27 07:55:32 UTC
lollypop-0.9.507-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5199542d96

Comment 16 Fedora Update System 2018-05-02 11:06:36 UTC
lollypop-0.9.508-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d58e3e072

Comment 17 Fedora Update System 2018-05-02 11:06:54 UTC
lollypop-0.9.508-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-92dd0d26c3

Comment 18 Fedora Update System 2018-05-02 11:06:59 UTC
lollypop-0.9.508-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e072e01210

Comment 19 Fedora Update System 2018-05-03 19:30:53 UTC
lollypop-0.9.508-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e072e01210

Comment 20 Fedora Update System 2018-05-03 20:21:49 UTC
lollypop-0.9.508-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-92dd0d26c3

Comment 21 Fedora Update System 2018-05-03 21:03:11 UTC
lollypop-0.9.508-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d58e3e072

Comment 22 Fedora Update System 2018-05-11 17:45:42 UTC
lollypop-0.9.508-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-05-11 20:27:44 UTC
lollypop-0.9.508-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2018-05-11 21:13:09 UTC
lollypop-0.9.508-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.